﻿BINDING_HEADER_RANDOMCOMPANION = "RandomCompanion";
BINDING_NAME_RANDOMCOMPANION_MOUNT = "Random mount";
BINDING_NAME_RANDOMCOMPANION_MOUNT_GROUND = "Random ground mount";
BINDING_NAME_RANDOMCOMPANION_PET_SUMMON = "Random vanity pet";
BINDING_NAME_RANDOMCOMPANION_PET_DISMISS = "Dismiss vanity pet";

RC_STRING_AHN_QIRAJ = "Ahn'Qiraj";
RC_STRING_OUTLAND = "Outland";
RC_STRING_NORTHREND = "Northrend";
RC_STRING_VERY = "very";
RC_STRING_EXTREMELY = "extremely"; --Add localization for this
RC_STRING_FAST = "fast";
RC_STRING_SWIMMER = "swimmer";

RC_STRING_ALBINO_DRAKE = "Albino Drake"; -- Only used for testing

RC_STRING_ENGINEERING = "Engineering";
RC_STRING_TAILORING = "Tailoring";
RC_STRING_SNOWBALL = "Snowball";
RC_STRING_STEALTH = "Stealth";
RC_STRING_PROWL = "Prowl";
RC_STRING_SHADOWMELD = "Shadowmeld";
RC_STRING_EATING = "Food";
RC_STRING_DRINKING = "Drink";

RC_STRING_TEMPLE_OF_AHN_QIRAJ = "Ahn'Qiraj";

--Northrend zones
RC_STRING_BOREAN_TUNDRA = "Borean Tundra";
RC_STRING_CRYSTALSONG_FOREST = "Crystalsong Forest";
RC_STRING_DALARAN = "Dalaran";
RC_STRING_DRAGONBLIGHT = "Dragonblight";
RC_STRING_GRIZZLY_HILLS = "Grizzly Hills";
RC_STRING_HOWLING_FJORD = "Howling Fjord";
RC_STRING_ICECROWN = "Icecrown";
RC_STRING_KRASUS_LANDING = "Krasus' Landing";
RC_STRING_SHOLAZAR_BASIN = "Sholazar Basin";
RC_STRING_STORM_PEAKS = "The Storm Peaks";
RC_STRING_UNDERBELLY = "The Underbelly";
RC_STRING_WINTERGRASP = "Wintergrasp";
RC_STRING_ZUL_DRAK = "Zul'Drak";

RC_STRING_COLD_WEATHER_FLYING = "Cold Weather Flying";

--Scaling mounts
RC_STRING_HORSEMAN_MOUNT = "Headless Horseman Mount";
RC_STRING_BLIZZARD_BEAR = "Big Blizzard Bear";
RC_STRING_DK_FLYER = "Winged Steed of the Ebon Blade";

--310% mounts
RC_STRING_ASHES_OF_ALAR = "Ashes of Al'ar";
RC_STRING_BLACK_PROTO_DRAKE = "Black Proto-Drake";
RC_STRING_PLAGUED_PROTO_DRAKE = "Plagued Proto-Drake";
RC_STRING_VIOLET_PROTO_DRAKE = "Violet Proto-Drake";

if GetLocale() == "enUS" or GetLocale() == "enGB" then
	-- do nothing
elseif GetLocale() == "deDE" then
	RC_STRING_AHN_QIRAJ = "Ahn'Qiraj";
	RC_STRING_OUTLAND = "Scherbenwelt";
	RC_STRING_NORTHREND = "Nordend";
	RC_STRING_VERY = "sehr";
	RC_STRING_FAST = "schnelle";
	RC_STRING_SWIMMER = "Meeresschildkröte"; --Won't work if more swimming mounts are added
	
	RC_STRING_ENGINEERING = "Ingenieurskunst";
	RC_STRING_TAILORING = "Schneiderei";
	RC_STRING_SNOWBALL = "Schneeball";
	RC_STRING_STEALTH = "Verstohlenheit";
	RC_STRING_PROWL = "Schleichen";
	RC_STRING_SHADOWMELD = "Schattenmimik";
	RC_STRING_EATING = "Essen";
	RC_STRING_DRINKING = "Trinken";
	
	RC_STRING_TEMPLE_OF_AHN_QIRAJ = "Ahn'Qiraj";
	RC_STRING_BOREAN_TUNDRA = "Boreanische Tundra";
	RC_STRING_CRYSTALSONG_FOREST = "Kristallsangwald";
	RC_STRING_DALARAN = "Dalaran";
	RC_STRING_DRAGONBLIGHT = "Drachenöde";
	RC_STRING_GRIZZLY_HILLS = "Grizzlyhügel";
	RC_STRING_HOWLING_FJORD = "Der heulende Fjord";
	RC_STRING_ICECROWN = "Eiskrone";
	RC_STRING_SHOLAZAR_BASIN = "Sholazarbecken";
	RC_STRING_STORM_PEAKS = "Die Sturmgipfel";
	RC_STRING_WINTERGRASP = "Tausendwintersee";
	RC_STRING_ZUL_DRAK = "Zul'Drak";
	
	RC_STRING_COLD_WEATHER_FLYING = "Kaltwetterflug";
	RC_STRING_HORSEMAN_MOUNT = "Ross des kopflosen Reiters";
	RC_STRING_BLIZZARD_BEAR = "Großer Blizzardbär";
	RC_STRING_DK_FLYER = "Geflügeltes Reittier der schwarzen Klinge";
	RC_STRING_ASHES_OF_ALAR = "Al'ars Asche";
	RC_STRING_BLACK_PROTO_DRAKE = "Schwarzer Protodrache";
	RC_STRING_PLAGUED_PROTO_DRAKE = "Verseuchter Protodrache";
	RC_STRING_VIOLET_PROTO_DRAKE = "Violetter Protodrache";
elseif GetLocale() == "frFR" then
	RC_STRING_AHN_QIRAJ = "Ahn'Qiraj";
	RC_STRING_OUTLAND = "Outreterre";
	RC_STRING_NORTHREND = "Norfendre";
	RC_STRING_VERY = "très";
	RC_STRING_FAST = "rapide";
	RC_STRING_SWIMMER = "nageuse";
	
	RC_STRING_ENGINEERING = "Ingénierie";
	RC_STRING_TAILORING = "Couture";
	RC_STRING_SNOWBALL = "Boule de neige";
	RC_STRING_STEALTH = "Camouflage";
	RC_STRING_PROWL = "Rôder";
	RC_STRING_SHADOWMELD = "Camouflage dans l'ombre";
	RC_STRING_EATING = "Nourriture";
	RC_STRING_DRINKING = "Boisson";
	
	RC_STRING_TEMPLE_OF_AHN_QIRAJ = "Ahn'Qiraj";
	RC_STRING_BOREAN_TUNDRA = "Toundra Boréenne";
	RC_STRING_CRYSTALSONG_FOREST = "Forêt du Chant de cristal";
	RC_STRING_DALARAN = "Dalaran";
	RC_STRING_DRAGONBLIGHT = "Désolation des dragons";
	RC_STRING_GRIZZLY_HILLS = "Les Grisonnes";
	RC_STRING_HOWLING_FJORD = "Fjord Hurlant";
	RC_STRING_ICECROWN = "La Couronne de glace";
	RC_STRING_SHOLAZAR_BASIN = "Bassin de Sholazar";
	RC_STRING_STORM_PEAKS = "Les pics Foudroyés";
	RC_STRING_WINTERGRASP = "Joug-d'hiver";
	RC_STRING_ZUL_DRAK = "Zul'Drak";
	
	RC_STRING_COLD_WEATHER_FLYING = "Vol par temps froid";
	RC_STRING_HORSEMAN_MOUNT = "Monture du Cavalier sans tête";
	RC_STRING_BLIZZARD_BEAR = "Grand ours du Blizzard";
	RC_STRING_DK_FLYER = "Palefroi ailé de la Lame d'ébène";
	RC_STRING_ASHES_OF_ALAR = "Cendres d'Al'ar";
	RC_STRING_BLACK_PROTO_DRAKE = "Proto-drake noir";
	RC_STRING_PLAGUED_PROTO_DRAKE = "Proto-drake pestiféré";
	RC_STRING_VIOLET_PROTO_DRAKE = "Proto-drake pourpre";
elseif GetLocale() == "ruRU" then
	RC_STRING_AHN_QIRAJ = "Ан'Кираж";
	RC_STRING_OUTLAND = "Запределье";
	RC_STRING_NORTHREND = "Нордсколе"; -- this may be incorrect, but it should work for detecting if it's a flying mount
	RC_STRING_VERY = "очень";
	RC_STRING_FAST = "быстрое";
	RC_STRING_SWIMMER = "воде"; --May not work if more swimming mounts are added
	
	RC_STRING_ENGINEERING = "Инженерное дело";
	RC_STRING_TAILORING = "Портняжное дело";
	RC_STRING_SNOWBALL = "Снежок";
	RC_STRING_STEALTH = "Незаметность";
	RC_STRING_PROWL = "Крадущийся зверь";
	RC_STRING_SHADOWMELD = "Слиться с тенью";
	RC_STRING_EATING = "Пища";
	RC_STRING_DRINKING = "Питье";
	
	RC_STRING_TEMPLE_OF_AHN_QIRAJ = "Ан'Кираж";
	RC_STRING_BOREAN_TUNDRA = "Борейская тундра";
	RC_STRING_CRYSTALSONG_FOREST = "Лес Хрустальной Песни";
	RC_STRING_DALARAN = "Даларан";
	RC_STRING_DRAGONBLIGHT = "Драконий Погост";
	RC_STRING_GRIZZLY_HILLS = "Седые холмы";
	RC_STRING_HOWLING_FJORD = "Ревущий фьорд";
	RC_STRING_ICECROWN = "Ледяная корона";
	RC_STRING_SHOLAZAR_BASIN = "Низина Шолазар";
	RC_STRING_STORM_PEAKS = "Грозовая Гряда";
	RC_STRING_WINTERGRASP = "Озеро Ледяных Оков";
	RC_STRING_ZUL_DRAK = "Зул'Драк";
	
	RC_STRING_COLD_WEATHER_FLYING = "Полеты в непогоду";
	RC_STRING_HORSEMAN_MOUNT = "Верховое животное Всадника без головы";
	RC_STRING_BLIZZARD_BEAR = "Большой медведь Blizzard";
	RC_STRING_DK_FLYER = "Крылатый скакун Черного Клинка";
	RC_STRING_ASHES_OF_ALAR = "Пепел Ал'ара";
	RC_STRING_BLACK_PROTO_DRAKE = "Черный протодракон";
	RC_STRING_PLAGUED_PROTO_DRAKE = "Чумной протодракон";
	RC_STRING_VIOLET_PROTO_DRAKE = "Аметистовый протодракон";
else
	DEFAULT_CHAT_FRAME:AddMessage("RandomCompanion: Your language is not currently supported by RandomCompanion.");
end
